Package org.apache.commons.compress.archivers.dump

# Class DumpArchiveSummary

java.lang.Object
org.apache.commons.compress.archivers.dump.DumpArchiveSummary

public class DumpArchiveSummary extends Object
This class represents identifying information about a Dump archive volume. It consists the archive's dump date, label, hostname, device name and possibly last mount point plus the volume's volume id and first record number.

For the corresponding C structure see the header of `DumpArchiveEntry`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getDevname()`
  Gets the device name, e.g., /dev/sda3 or /dev/mapper/vg0-home.
  `Date`
  `getDumpDate()`
  Gets the date of this dump.
  `String`
  `getFilesystem()`
  Gets the last mountpoint, e.g., /home.
  `int`
  `getFirstRecord()`
  Gets the inode of the first record on this volume.
  `int`
  `getFlags()`
  Gets the miscellaneous flags.
  `String`
  `getHostname()`
  Gets the hostname of the system where the dump was performed.
  `String`
  `getLabel()`
  Gets dump label.
  `int`
  `getLevel()`
  Gets the level of this dump.
  `int`
  `getNTRec()`
  Gets the number of records per tape block.
  `Date`
  `getPreviousDumpDate()`
  Gets the date of the previous dump at this level higher.
  `int`
  `getVolume()`
  Gets volume (tape) number.
  `int`
  `hashCode()`
  `boolean`
  `isCompressed()`
  Is this volume compressed? N.B., individual blocks may or may not be compressed.
  `boolean`
  `isExtendedAttributes()`
  Does this volume contain extended attributes.
  `boolean`
  `isMetaDataOnly()`
  Does this volume only contain metadata?
  `boolean`
  `isNewHeader()`
  Is this the new header format? (We do not currently support the old format.)
  `boolean`
  `isNewInode()`
  Is this the new inode format? (We do not currently support the old format.)
  `void`
  `setDevname(String devname)`
  Sets the device name.
  `void`
  `setDumpDate(Date dumpDate)`
  Sets dump date.
  `void`
  `setFilesystem(String fileSystem)`
  Sets the last mountpoint.
  `void`
  `setFirstRecord(int firstrec)`
  Sets the inode of the first record.
  `void`
  `setFlags(int flags)`
  Sets the miscellaneous flags.
  `void`
  `setHostname(String hostname)`
  Sets the hostname.
  `void`
  `setLabel(String label)`
  Sets dump label.
  `void`
  `setLevel(int level)`
  Sets level.
  `void`
  `setNTRec(int ntrec)`
  Sets the number of records per tape block.
  `void`
  `setPreviousDumpDate(Date previousDumpDate)`
  Sets previous dump date.
  `void`
  `setVolume(int volume)`
  Sets volume (tape) number.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getDevname

    public String getDevname()
    Gets the device name, e.g., /dev/sda3 or /dev/mapper/vg0-home.
    Returns:
      device name

  - ### getDumpDate

    public Date getDumpDate()
    Gets the date of this dump.
    Returns:
      the date of this dump.

  - ### getFilesystem

    public String getFilesystem()
    Gets the last mountpoint, e.g., /home.
    Returns:
      last mountpoint

  - ### getFirstRecord

    public int getFirstRecord()
    Gets the inode of the first record on this volume.
    Returns:
      inode of the first record on this volume.

  - ### getFlags

    public int getFlags()
    Gets the miscellaneous flags. See below.
    Returns:
      flags

  - ### getHostname

    public String getHostname()
    Gets the hostname of the system where the dump was performed.
    Returns:
      hostname the host name

  - ### getLabel

    public String getLabel()
    Gets dump label. This may be autogenerated, or it may be specified by the user.
    Returns:
      dump label

  - ### getLevel

    public int getLevel()
    Gets the level of this dump. This is a number between 0 and 9, inclusive, and a level 0 dump is a complete dump of the partition. For any other dump 'n' this dump contains all files that have changed since the last dump at this level or lower. This is used to support different levels of incremental backups.
    Returns:
      dump level

  - ### getNTRec

    public int getNTRec()
    Gets the number of records per tape block. This is typically between 10 and 32.
    Returns:
      the number of records per tape block

  - ### getPreviousDumpDate

    public Date getPreviousDumpDate()
    Gets the date of the previous dump at this level higher.
    Returns:
      dumpdate may be null

  - ### getVolume

    public int getVolume()
    Gets volume (tape) number.
    Returns:
      volume (tape) number.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isCompressed

    public boolean isCompressed()
    Is this volume compressed? N.B., individual blocks may or may not be compressed. The first block is never compressed.
    Returns:
      true if volume is compressed

  - ### isExtendedAttributes

    public boolean isExtendedAttributes()
    Does this volume contain extended attributes.
    Returns:
      true if volume contains extended attributes.

  - ### isMetaDataOnly

    public boolean isMetaDataOnly()
    Does this volume only contain metadata?
    Returns:
      true if volume only contains meta-data

  - ### isNewHeader

    public boolean isNewHeader()
    Is this the new header format? (We do not currently support the old format.)
    Returns:
      true if using new header format

  - ### isNewInode

    public boolean isNewInode()
    Is this the new inode format? (We do not currently support the old format.)
    Returns:
      true if using new inode format

  - ### setDevname

    public void setDevname(String devname)
    Sets the device name.
    Parameters:
      `devname` - the device name

  - ### setDumpDate

    public void setDumpDate(Date dumpDate)
    Sets dump date.
    Parameters:
      `dumpDate` - the dump date

  - ### setFilesystem

    public void setFilesystem(String fileSystem)
    Sets the last mountpoint.
    Parameters:
      `fileSystem` - the last mountpoint

  - ### setFirstRecord

    public void setFirstRecord(int firstrec)
    Sets the inode of the first record.
    Parameters:
      `firstrec` - the first record

  - ### setFlags

    public void setFlags(int flags)
    Sets the miscellaneous flags.
    Parameters:
      `flags` - flags

  - ### setHostname

    public void setHostname(String hostname)
    Sets the hostname.
    Parameters:
      `hostname` - the host name

  - ### setLabel

    public void setLabel(String label)
    Sets dump label.
    Parameters:
      `label` - the label

  - ### setLevel

    public void setLevel(int level)
    Sets level.
    Parameters:
      `level` - the level

  - ### setNTRec

    public void setNTRec(int ntrec)
    Sets the number of records per tape block.
    Parameters:
      `ntrec` - the number of records per tape block

  - ### setPreviousDumpDate

    public void setPreviousDumpDate(Date previousDumpDate)
    Sets previous dump date.
    Parameters:
      `previousDumpDate` - the previous dump dat

  - ### setVolume

    public void setVolume(int volume)
    Sets volume (tape) number.
    Parameters:
      `volume` - the volume number